# Uses of Interface
org.codehaus.commons.compiler.java8.java.util.function.Consumer

Packages that use Consumer
Package
Description
org.codehaus.commons.compiler.java8.java.util.function
A set of (rudimentary) proxies for Java-8+ classes that also compile for Java 6 and 7.
org.codehaus.commons.compiler.java8.java.util.stream
A set of (rudimentary) proxies for Java-8+ classes that also compile for Java 6 and 7.

## Uses of Consumer in org.codehaus.commons.compiler.java8.java.util.function

Methods in org.codehaus.commons.compiler.java8.java.util.function that return Consumer
Modifier and Type
Method
Description
`static <T> Consumer<T>`
Consumers.`from(Object delegate)`
Methods in org.codehaus.commons.compiler.java8.java.util.function with parameters of type Consumer
Modifier and Type
Method
Description
`static <T> Object`
Consumers.`from(Consumer<T> delegate)`

## Uses of Consumer in org.codehaus.commons.compiler.java8.java.util.stream

Methods in org.codehaus.commons.compiler.java8.java.util.stream with parameters of type Consumer
Modifier and Type
Method
Description
`void`
Stream.`forEach(Consumer<? super T> action)`